Food_Ordering/urls.py
from django.contrib import admin
from django.urls import path, include
from django.views.generic import RedirectView
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('admin/', admin.site.urls),
    path('foodapp/',include("foodapp.urls")),
    path('', RedirectView.as_view(url='/foodapp/')), 
    path('accounts/',include("django.contrib.auth.urls")),
]

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

foodapp/urls.py
from django.urls import path
from . import views

app_name = "foodapp"
urlpatterns = [
    path('',views.index,name="home"),
    path('home',views.home_view, name="home"),
    path('login/', views.login, name="login"),
    path('signup/', views.register, name="signup"),
    path('logout/', views.logout, name="logout"),
    path('add_restaurant/', views.AddRestaurant.as_view(), name="add_restaurant"),
    path('restaurant_list/', views.restaurant_list, name='restaurant_list'),
    path('update_restaurant/<int:pk>/', views.UpdateRestaurant.as_view(), name="update_restaurant"),
    path('menu_list/<int:id>/', views.menu_list, name='menu_list'),
    path('restaurant/<int:id>/', views.RestaurantDetailView.as_view(), name='restaurant_detail'),
    path('delete_restaurant/<int:pk>/', views.delete_restaurant, name="delete_restaurant"),
    path('add_food/<int:restaurant_id>/', views.add_food, name="add_food"),
    path('add_to_cart/<int:food_id>/', views.add_to_cart, name='add_to_cart'),
    path('cart/', views.view_cart, name='cart'),
    path('remove_from_cart/<int:food_id>/', views.remove_from_cart, name='remove_from_cart'),
    path('delete_food/<int:pk>/', views.delete_food, name="delete_food"),
    path('foods/<int:food_id>/', views.food_detail, name='food_detail'),
    # path('order_confirmation/<int:food_id>/', views.order_confirmation, name='order_confirmation'),
    # path('payment/<int:food_id>/', views.payment, name='payment'),
    # path('complete_order/<int:order_id>/', views.complete_order, name='complete_order'),
    path('orders/', views.orders, name='orders'),
    path('create-checkout-session/<int:food_id>/', views.create_checkout_session, name='create_checkout_session'),
    path('payment_success/', views.payment_success, name='payment_success'),
]

foodapp/models.py
from django.db import models
# Create your models here.

class CustomUser(models.Model):
    username = models.CharField(max_length=100)
    password = models.CharField(max_length=100)
    email = models.EmailField(max_length=100, default='', unique=True)
    contact = models.CharField(max_length=20, default='')
    is_login = models.BooleanField(default=False)
    ROLE_CHOICES = (
        ('admin', 'Admin'),
        ('user', 'User'),
    )

    role = models.CharField(max_length=10, choices=ROLE_CHOICES, default='user')

    # Add more fields as needed

    def __str__(self):
        return self.username

class Restaurant(models.Model):
    id = models.AutoField(primary_key=True)
    restaurant_name = models.CharField(max_length=30)
    restaurant_image = models.ImageField(upload_to='media', default='')

    def __str__(self):
        return self.restaurant_name

class Food(models.Model):
    food_name = models.CharField(max_length=30)
    restaurant = models.ForeignKey(Restaurant, on_delete=models.CASCADE)
    food_image = models.ImageField(upload_to='media', default='')
    price = models.DecimalField(max_digits=10, decimal_places=2, default=0.00)

    def __str__(self):
        return self.food_name
    
class CartItem(models.Model):
    food = models.ForeignKey(Food, on_delete=models.CASCADE)
    user = models.ForeignKey(CustomUser, on_delete=models.CASCADE, default=1)
    quantity = models.PositiveIntegerField(default=1)

class Order(models.Model):
    user = models.ForeignKey(CustomUser, on_delete=models.CASCADE)
    food = models.ForeignKey(Food, on_delete=models.CASCADE)
    restaurant = models.ForeignKey(Restaurant, on_delete=models.CASCADE) 
    ordered_at = models.DateTimeField(auto_now_add=True)

    def __str__(self):
        return f"Order {self.id} - {self.user.username} - {self.food.food_name}"

foodapp/forms.py
from django import forms
from foodapp.models import Restaurant,Food

class RestaurantForm(forms.ModelForm):
    class Meta:
        model = Restaurant
        fields = ['restaurant_name', 'restaurant_image']

class FoodForm(forms.ModelForm):
    class Meta:
        model = Food
        fields = ['food_name', 'food_image','price']

foodapp/views.py
from django.conf import settings
from django.http import JsonResponse
import stripe
from django.shortcuts import render, redirect,get_object_or_404
from django.contrib import messages
from django.contrib.auth import authenticate, login
from .forms import RestaurantForm,FoodForm
from django.urls import reverse_lazy, reverse
from django.views.generic import DetailView, CreateView,UpdateView
from .models import Restaurant,Food,CartItem, CustomUser, Order
from django.contrib.auth.decorators import login_required
from django.utils.decorators import method_decorator

stripe.api_key = settings.STRIPE_SECRET_KEY

# Create your views here.

def index(request):
    # If the user is logged in, redirect to the restaurant_list page
    if request.user.is_authenticated:
        return redirect('foodapp:restaurant_list')
    
    return render(request, 'foodapp/index.html')

def home_view(request):
    return render(request, 'foodapp/index.html')

def login(request):
    if request.method == 'POST':
        username = request.POST['username']
        password = request.POST['password']

        try:
            user = CustomUser.objects.get(username=username)
            print("User Role:", user.role) 
            if user.password == password:
                request.session['is_login'] = True
                request.session['user_role'] = user.role  
                request.session['user_id'] = user.id
                print("Session Variable is_login:", request.session.get('is_login'))
                # Successful login
                print("User Role:", user.role)
                return redirect('foodapp:restaurant_list')
            else:
                error_msg = "Invalid password."
                return render(request, 'foodapp/login.html', {'error_msg': error_msg})
        except CustomUser.DoesNotExist:
            error_msg = "Invalid username."
            return render(request, 'foodapp/login.html', {'error_msg': error_msg})
    
    return render(request, 'foodapp/login.html')

def register(request):
    if request.method == 'POST':
        username = request.POST['username']
        email = request.POST['email']
        contact = request.POST['contact']
        password = request.POST['password']
        confirm_password = request.POST['confirm_password']
        role = request.POST['role']

        if password == confirm_password and len(password) >= 6:
            user = CustomUser.objects.create(
                username=username, 
                password=password,
                email=email,
                contact=contact,
                role=role,
            )
            request.session['user_id'] = user.id  # Store the user's ID in the session
            return redirect('foodapp:login')
        else:
            error_msg = "Passwords do not match or are too short."
            return render(request, 'foodapp/signup.html', {'error_msg': error_msg})
   
    return render(request, 'foodapp/signup.html')

def logout(request):
    request.session['is_login'] = False
    return redirect('foodapp:login')

class AddRestaurant(CreateView):
    model = Restaurant
    form_class = RestaurantForm
    template_name = 'foodapp/restaurant_form.html'
    success_url = reverse_lazy('foodapp:restaurant_list')

    def form_valid(self, form):
        # This method is called when the form is valid.
        # Print the form data in the terminal.
        print("Received restaurant name:", form.cleaned_data['restaurant_name'])
        print("Received restaurant image:", form.cleaned_data['restaurant_image'])
        restaurant_name = form.cleaned_data['restaurant_name']
        if Restaurant.objects.filter(restaurant_name=restaurant_name).exists():
            messages.error(self.request, f"A restaurant with the name '{restaurant_name}' already exists.")
            return redirect('foodapp:add_restaurant')
        return super().form_valid(form)
    
def restaurant_list(request):
    restaurants = Restaurant.objects.all()
    user = request.user  # Assuming you have the user object in your request
    # print("User Role in View:", user.role)
    context = {
        'restaurants': restaurants,
        'user': user,
    }
    return render(request, 'foodapp/restaurant_list.html', context)

class RestaurantDetailView(DetailView):
    model = Restaurant
    template_name = 'restaurant_detail.html'
    context_object_name = 'restaurant'

class UpdateRestaurant(UpdateView):
    model = Restaurant
    fields = '__all__'
    template_name = 'foodapp/restaurant_form.html'
    success_url = reverse_lazy('foodapp:restaurant_list')

def delete_restaurant(request, pk):
    restaurant = get_object_or_404(Restaurant, pk=pk)
    if request.method == 'POST':
        restaurant.delete()
    return redirect(request.POST.get('next', 'foodapp:restaurant_list'))

def menu_list(request, id):
    restaurant = get_object_or_404(Restaurant, id=id)
    foods = Food.objects.filter(restaurant=restaurant)
    return render(request, 'foodapp/menu_list.html', {
        'restaurant': restaurant,
        'foods': foods,
        'STRIPE_PUBLISHABLE_KEY': settings.STRIPE_PUBLISHABLE_KEY,
    })

def food_detail(request, food_id):
    food = get_object_or_404(Food, pk=food_id)
    return render(request, 'foodapp/food_detail.html', {'food': food})

def delete_food(request, pk):
    food = get_object_or_404(Food, pk=pk)
    if request.method == 'POST':
        restaurant_id = food.restaurant.id  # Get the restaurant's ID
        food.delete()
        return redirect(reverse('foodapp:menu_list', kwargs={'id': restaurant_id}))
    
    return redirect(request.POST.get('next', 'foodapp:menu_list'))

def add_food(request, restaurant_id):
    restaurant = Restaurant.objects.get(id=restaurant_id)

    if request.method == 'POST':
        form = FoodForm(request.POST, request.FILES)
        if form.is_valid():
            food = form.save(commit=False)
            food.restaurant = restaurant
            food.save()
            return redirect('foodapp:menu_list', id=restaurant_id)
    else:
        form = FoodForm()

    return render(request, 'foodapp/add_food.html', {'form': form, 'restaurant': restaurant})

def add_to_cart(request, food_id):
    food = get_object_or_404(Food, pk=food_id)
    user_id = request.session.get('user_id')  # Get user ID from the session
    if user_id is None:
        return redirect('foodapp:login')  # Redirect to login if user is not logged in

    user = get_object_or_404(CustomUser, pk=user_id)
    cart_item, created = CartItem.objects.get_or_create(food=food, user=user)
    if not created:
        cart_item.quantity += 1
        cart_item.save()
    messages.success(request, f"{food.food_name} added to the cart!")

    return redirect('foodapp:restaurant_list')

def view_cart(request):
    user_id = request.session.get('user_id')  # Get user ID from the session
    if user_id is None:
        return redirect('foodapp:login')  # Redirect to login if user is not logged in

    user = get_object_or_404(CustomUser, pk=user_id)
    cart_items = CartItem.objects.filter(user=user)
    return render(request, 'foodapp/cart.html', {'cart_items': cart_items})

def remove_from_cart(request, food_id):
    food = get_object_or_404(Food, pk=food_id)
    user_id = request.session.get('user_id')  # Get user ID from the session
    if user_id is None:
        return redirect('foodapp:login')  # Redirect to login if user is not logged in

    user = get_object_or_404(CustomUser, pk=user_id)

    try:
        cart_item = CartItem.objects.get(food=food, user=user)

        # If the quantity is greater than 1, decrease it by 1
        if cart_item.quantity > 1:
            cart_item.quantity -= 1
            cart_item.save()
            messages.success(request, f"One quantity of {food.food_name} removed from the cart.")
        else:
            cart_item.delete()
            messages.success(request, f"{food.food_name} removed from the cart.")
    except CartItem.DoesNotExist:
        messages.error(request, "Item not found in the cart.")

    return redirect('foodapp:cart')

def orders(request):
    if request.session.is_login: 
        if request.session.user_role == 'admin':
            # Fetch all orders for admins
            orders = Order.objects.all()
        else:
            # Fetch orders for the current user
            orders = Order.objects.filter(user=request.user)
    else:
        # Redirect non-logged in users to login page
        return redirect('foodapp:login')

    return render(request, 'foodapp/orders.html', {'orders': orders})

def payment_success(request):
    return render(request, 'foodapp/payment_success.html')

def create_checkout_session(request, food_id):
    food = get_object_or_404(Food, pk=food_id)
    session = stripe.checkout.Session.create(
        payment_method_types=['card'],
        line_items=[
            {
                'price_data': {
                    'currency': 'inr',  # Change this to the appropriate currency
                    'unit_amount_decimal': int(food.price * 100),  # Convert to cents
                    'product_data': {
                        'name': food.food_name,
                    },
                },
                'quantity': 1,
            },
        ],
        mode='payment',
        success_url=request.build_absolute_uri(reverse('foodapp:payment_success')),
        cancel_url=request.build_absolute_uri(reverse('foodapp:cart')),
    )
    return JsonResponse({'sessionId': session.id})

foodapp/templates/foodapp/base.html
<nav class="navbar navbar-expand-lg navbar-light" style="position: fixed;width:100%;background-image: linear-gradient(180deg,#FFF,#FFF);box-shadow: 0px 0px 7px 0px #404040;">
    <a class="navbar-brand" href="/"><h2 style="color:black;font-family:sans-serif;font-weight:bolder;"><b>FOOD ZONE</b></h2></a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav" style="margin-left:auto!important;margin-right:30px;">
        <li class="nav-item active">
          <a class="nav-link" id="nav-link" href="{% url 'foodapp:home'%}">Home <span class="sr-only">(current)</span></a>
        </li>
        {% if user.is_authenticated %}
          <li class="nav-item active ml-auto">
              <a class="nav-link" id="nav-link" href="">AddRestaurant<span class="sr-only">(current)</span></a>
          </li>
        {% endif %}
        {% if user.is_authenticated %}
          <li class="nav-item active ml-auto">
              <a class="nav-link" id="nav-link" href="{% url 'logout'%}">Logout<span class="sr-only">(current)</span></a>
          </li>
        {% else %}
          <li class="nav-item active">
              <a class="nav-link" id="nav-link" href="{% url 'foodapp:login' %}">Login <span class="sr-only">(current)</span></a>
          </li>
        {% endif %}
      </ul>
    </div>
  </nav>

foodapp/templates/foodapp/cart.html
<br>
<h1 style="text-align:center; margin-top:30px;"><u><b>Your Cart</b></u></h1>

{% if cart_items %}
  {% for cart_item in cart_items %}
    <div class="cart-item">
      <img src="{{ cart_item.food.food_image.url }}" alt="{{ cart_item.food.food_name }}" class="menu-image">
      <h4>{{ cart_item.food.food_name }}</h4>
      <p>Quantity: {{ cart_item.quantity }}</p>
      <form method="post" action="{% url 'foodapp:remove_from_cart' cart_item.food.pk %}">
        {% csrf_token %}
        <button type="submit" class="btn btn-danger">Remove</button>
      </form>
    </div>
  {% endfor %}
{% else %}
  <h3 style="text-align:center;">No items in the cart.</h3>
{% endif %}

foodapp/templates/foodapp/complete_order.html
<div class="order-success">
    < <h1>Order Completed</h1>
    <p>Your order has been successfully placed!</p>
    <p>Order ID: {{ order.id }}</p>
    <p>Food: {{ order.food.food_name }}</p>
    <p>Restaurant: {{ order.restaurant.restaurant_name }}</p>
    <p>Payment Method: {{ order.payment_method }}</p>
    <p>Price: {{ order.food.price }}</p>
</div>

foodapp/templates/foodapp/food_detail.html
<!-- food_detail.html -->
<img src="{{ food.food_image.url }}" alt="{{ food.food_name }}" style="margin-top: 40px; height: 100%;width: 100%;" class="menu-image">
<h2>{{ food.name }}</h2>
<p>{{ food.description }}</p>
<p>Price: ${{ food.price }}</p>
<a href="" class="btn btn-primary">Place Order</a>

foodapp/templates/foodapp/login.html
<!DOCTYPE html>
<html lang="en" dir="ltr">
<head>
    {% load static %}
    <meta charset="utf-8">
    <title>Login</title>
    <link rel="stylesheet" href="{% static 'css/login.css' %}">
</head>
<body>
    <div class="login-box">
        <h1>Login</h1>
        {% if error_msg %}
            <p>{{ error_msg }}</p>
        {% endif %}
        <form class="login-form" method="POST">
            {% csrf_token %}
            <div class="textbox">
                <i class="fas fa-user"></i>
                <label for="username">Username:</label>
                <input type="text" name="username" id="username" required>
            </div>

            <div class="textbox">
                <i class="fas fa-lock"></i>
                <label for="password">Password:</label>
                <input type="password" name="password" id="password" required>
            </div>
            <br>
            <div>
                <input type="submit" class="btn" style="color:white;" value="Login">
            </div>
        </form>
        <br>
        <div>
            <b> Don't Have Account ? &nbsp <a href="{% url 'foodapp:signup' %}" style="color: white;"> <span><u>Sign Up<u></span></a><b>
        </div>
    </div>
</body>
</html>

foodapp/templates/foodapp/menu_list.html
<!DOCTYPE html>
<html lang="en" dir="ltr">
  <head>
	{% load static %}
    <meta charset="utf-8">
    <link rel="stylesheet" type="text/css" href="{% static 'css/home_style.css' %}" />
    <link rel="stylesheet" type="text/css" href="{% static 'css/master.css' %}" />

    <style>
        main{
            background: url("/static/images/background.jpeg") no-repeat;
            background-size: cover;
        }
        .menu-card {
            position: relative;
            text-align: center;
            padding: 10px;
        }

        {% comment %} .menu-image {
            width: 100%;
            height: 200px;
            object-fit: cover;
            border-radius: 8px;
        } {% endcomment %}



    </style>

    <link href="https://fonts.googleapis.com/css?family=Caveat:700&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Poppins:300,300i,400,400i,500,500i,600,600i,700,700i" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Bevan&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Caveat:400,700&subset=cyrillic" rel="stylesheet">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.2/css/all.css" integrity="sha384-fnmOCqbTlWIlj8LyTjo7mOUStjsKC4pOpQbqyi7RrhN7udi9RwhKkMHpvLbHG9Sr" crossorigin="anonymous">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>

    <title>FOOD ZONE | Home</title>
	<link rel="shortcut icon" href="{% static 'images/favico.png' %}" type="image/x-icon">
  </head>
    <nav class="navbar navbar-expand-lg navbar-light" style="position: fixed;width:100%;background-image: linear-gradient(180deg,#FFF,#FFF);box-shadow: 0px 0px 7px 0px #404040;">
        <a class="navbar-brand" href="/"><h2 style="color:black;font-family:sans-serif;font-weight:bolder;"><b>FOOD ZONE</b></h2></a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav" style="margin-left:auto!important;margin-right:30px;">
                <li class="nav-item active">
                <a class="nav-link" id="nav-link" href="{% url 'foodapp:home'%}">Home <span class="sr-only">(current)</span></a>
                </li>
                {% if request.session.is_login and request.session.user_role == 'admin' %}
                <li class="nav-item active ml-auto">
                    <a class="nav-link" id="nav-link" href="{% url 'foodapp:add_food' restaurant.pk %}">AddFood<span class="sr-only">(current)</span></a>
                </li>
                {% endif %}
                {% if request.session.is_login %}
                <li class="nav-item active ml-auto">
                    <a class="nav-link" id="nav-link" href="{% url 'logout'%}">Logout<span class="sr-only">(current)</span></a>
                </li>
                {% else %}
                <li class="nav-item active">
                    <a class="nav-link" id="nav-link" href="{% url 'foodapp:login' %}">Login <span class="sr-only">(current)</span></a>
                </li>
                {% endif %}
            </ul>
        </div>
    </nav>

    <main style="width:100%;margin-top: 0;margin-bottom: 10px;background-color:#FFF;" class="mt-5">
        <div class="container">
            <h1 class="text-center mt-5">Menu List for {{ restaurant.restaurant_name }}</h1>
            <div class="row">
                {% for food in foods %}
                <div class="col-md-4 mb-4">
                    <div class="menu-card">
                        <img src="{{ food.food_image.url }}" alt="{{ food.food_name }}" style="margin-top: 40px; height: 100%;width: 100%;" class="menu-image">
                        <h3>{{ food.food_name }}</h3>
                        {% if request.session.is_login and request.session.user_role == 'user' %}
                        <form method="post" action="{% url 'foodapp:add_to_cart' food.id %}">
                            {% csrf_token %}
                            <button class="add-to-cart-btn btn btn-success" data-food-id="{{ food.id }}">Add to Cart</button>
                        </form>
                        {% endif %}
                        {% if request.session.is_login and request.session.user_role == 'admin' %}
                        <div class="col-mb-4 mb-4">
                            <button class="btn btn-danger delete-button " data-toggle="modal" data-target="#deleteModal{{ food.id }}">Delete</button>
                        </div>
                        {% endif %} 
                        {% if request.session.is_login and request.session.user_role == 'user' %}
                        {% comment %} <div class="col-mb-4 mb-4">
                            <a href="{% url 'foodapp:order_confirmation' food.id %}" class="btn btn-info">Order</a>
                        </div> {% endcomment %}
                        {% endif %}
                        <br>
                        {% if request.session.is_login and request.session.user_role == 'user' %}
                        <button class="checkout-btn btn btn-primary" data-food-id="{{ food.id }}">Checkout</button>
                        {% endif %}
                        <script src="https://js.stripe.com/v3/"></script>
                        <script>
                            const stripe = Stripe('{{ STRIPE_PUBLISHABLE_KEY }}');
                            const checkoutButtons = document.querySelectorAll(".checkout-btn");

                            checkoutButtons.forEach(button => {
                                button.addEventListener("click", async (event) => {
                                    const foodId = event.target.getAttribute("data-food-id");
                                    const response = await fetch("{% url 'foodapp:create_checkout_session' 0 %}".replace('0', foodId), {
                                        method: "POST",
                                        headers: { "X-CSRFToken": "{{ csrf_token }}" }
                                    });
                                    const session = await response.json();

                                    // Redirect to Stripe Checkout
                                    const result = await stripe.redirectToCheckout({ sessionId: session.sessionId });
                                    if (result.error) {
                                        console.error(result.error.message);
                                    }
                                });
                            });
                        </script>
                        <br>
                        <br>
                    </div>
                </div>

                <div class="modal fade" id="deleteModal{{ food.id }}" tabindex="-1" role="dialog" aria-labelledby="deleteModalLabel" aria-hidden="true">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" id="deleteModalLabel">Confirm Delete</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                <p class="delete-message">Are you sure you want to delete this menu?</p>
                                <h2>{{ food.food_name }}</h2>
                                <form method="POST" action="{% url 'foodapp:delete_food' food.pk %}">
                                    {% csrf_token %}
                                    <div class="modal-button-container">
                                        <input type="submit" class="btn btn-danger confirm-button" value="Confirm Delete">
                                        <button type="button" class="btn btn-secondary cancel-button" data-dismiss="modal">Cancel</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
                {% endfor %}
            </div>
        </div>
        <script>
            $(document).ready(function() {
                // Get CSRF token from cookies
                var csrftoken = jQuery("[name=csrfmiddlewaretoken]").val();
                
                $('.delete-button').click(function() {
                    var foodId = $(this).data('food-id');
                    
                    // Set the form's action attribute with the correct URL
                    $('#deleteModal form').attr('action', '/foodapp/delete_food/' + foodId + '/');
                    
                    // Open the modal
                    $('#deleteModal').modal('show');
                });
                
                $('#confirm-delete-button').click(function() {
                    var form = $('#deleteModal form');
                    
                    // Make the DELETE request
                    $.ajax({
                        url: form.attr('action'),
                        method: 'DELETE',
                        headers: { 'X-CSRFToken': csrftoken },  // Include CSRF token
                        success: function(response) {
                            if (response.success) {
                                // Close the modal
                                $('#deleteModal').modal('hide');
                                
                                // Remove the deleted restaurant from the DOM
                                var foodId = form.attr('action').split('/').slice(-2, -1)[0];
                                $('#food-' + foodId).remove();
                            } else {
                                alert('An error occurred while deleting the menu.');
                            }
                        },
                        error: function() {
                            alert('An error occurred while deleting the menu.');
                        }
                    });
                });
            });
        </script>
    </main>
</html>

foodapp/templates/foodapp/payment_success.html
<h1>Payment Successful</h1>
<p>Your payment was successful. Thank you for your order!</p>

foodapp/templates/foodapp/restaurant_detail.html
<!-- restaurant_detail.html -->
<!DOCTYPE html>
<html>
<head>
    <title>{{ restaurant.restaurant_name }} Menu</title>
</head>
<body>
    <h1>{{ restaurant.restaurant_name }} Menu</h1>
    <ul>
        {% for food in restaurant.food_set.all %}
            <li>{{ food.food_name }}</li>
        {% endfor %}
    </ul>
</body>
</html>

foodapp/templates/foodapp/restaurant_form.html
<!DOCTYPE html>
<html lang="en" dir="ltr">
<head>
    {% load static %}
    <meta charset="utf-8">
    <title>New Restaurant</title>
    <link rel="stylesheet" href="{% static 'css/form1.css' %}">
</head>
<body>
    <div class="login-box">
        <h1>New Restaurant</h1>

        {% if messages %}
            <ul class="messages">
                {% for message in messages %}
                    <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message }}</li>
                {% endfor %}
            </ul>
        {% endif %}

        <form class="login-form" method="POST" enctype="multipart/form-data">
            {% csrf_token %}

            <div class="textbox">
                <i class="fas fa-user"></i>
                <label for="id_restaurant_name"><b><u>Restaurant Name:<u></b></label>
                {{ form.restaurant_name }}
            </div>

            <div class="textbox1">
                <i class="fas fa-lock"></i>
                <label for="id_restaurant_image" ><b><u>Restaurant Image:</u></b></label>
                {{ form.restaurant_image }}
            </div>
           
            <br>
            <div class="btn-box">
                <input class="btn" type="submit" value="Add Restaurant">
            </div>
        </form>
        <br>
    </div>
</body>
</html>